Bug Hunting Session
Bug 76203 - UI: Missing title case in a few dialogs
Summary: UI: Missing title case in a few dialogs
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.1.1 release
Hardware: Other All
: low trivial
Assignee: Jorendc
URL:
Whiteboard: target:4.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-15 12:42 UTC by A (Andy)
Modified: 2014-06-24 22:36 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description A (Andy) 2014-03-15 12:42:51 UTC
(US) English Language UI Settings, LO 4.2.1.1, Win 8.1

Problem Description:
In LO we are using for the main titles and headlines of the dialogs the title case (capitalise significant/longer words) instead of the sentence case (capitalisation follows the same rules that apply for sentences: e.g. first word starting with capital letter and then going on with small letters).
I personally also would prefer that title case for the menus and dialogs of LO, but only for the main titles and headlines.

Note: You can see the title case writing for instance if you take a look at menus in the menu VIEW.

But I found there some dialogs where there are items not in this title case systematics, if we want to follow that (see list below).

Does anybody has any objections, comments or corrections to my comment?


Issues:
FILE -> EXPORT AS PDF -> tab GENERAL: Signs with [w]atermark, Watermark [t]ext, View PDF after [e]xport
FILE -> EXPORT AS PDF -> tab INITIAL VIEW: Page [L]ayout
FILE -> EXPORT AS PDF -> tab USER INTERFACE: Window [O]ptions, User [I]nterface [O]ptions
FILE -> EXPORT AS PDF -> tab LINKS: Cross-document [L]inks
FILE -> EXPORT AS PDF -> tab SECURITY: File [E]ncryption and [P]ermission
FILE -> PROPERTIES -> tab SECURITY: File [S]haring [O]ptions
EDIT -> AUTOTEXT: Save [L]inks [R]elative to
EDIT -> EXCHANGE DATABASE: Exchange [D]atabase 
VIEW -> ZOOM: Optimal [V]iew
VIEW -> ZOOM -> ZOOM...: Zoom [F]actor, View [L]ayout
INSERT -> SECTION -> tab SECTION: New [S]ection, Write [P]rotection, With [c]ondition 
INSERT -> SECTION -> tab COLUMNS: Separator [L]ine
INSERT -> SECTION -> tab BACKGROUND: Background [C]olor
INSERT -> HYPERLINK: Here the subtitles have a different format (not bold and with a line following).  Should this stay that way, because this is different to other menus in the LO dialogs?  I suppose that these dialogs have still to be converted to the .ui dialog form?
INSERT -> CROSS-REFERENCE -> tab CROSS-REFERENCES: Insert [R]eference to
INSERT -> CROSS-REFERENCE -> tab DATABASE: Database [S]election
INSERT -> ENVELOPE -> tab PRINTER: Envelop [O]rientation
INSERT -> FRAME -> tab HYPERLINK: Image [M]ap
INSERT -> FRAME -> tab BORDERS: Line [A]rrangement, Spacing to [C]ontents, Shadow [S]tyle
INSERT -> FRAME -> tab BACKGROUND: Background [C]olor
INSERT -> FRAME -> tab COLUMNS: Separator [L]ine
INSERT -> OBJECT -> OLE OBJECT: Object [T]ype
INSERT -> FLOATING FRAME: Scroll [B]ar, Spacing to [C]ontents
FORMAT -> CHARACTER -> tab FONT EFFECTS: Underline [c]olor
FORMAT -> CHARACTER -> tab HYPERLINK: Character [S]tyles
FORMAT -> CHARACTER -> tab BACKGROUND: Background [C]olor
FORMAT -> CHARACTER -> tab BORDERS: Line [A]rrangement, Spacing to [C]ontents, Shadow [S]tyle
FORMAT -> PARAGRAPH -> tab OUTLINE & NUMBERING: Line [N]umbering
FORMAT -> PARAGRAPH -> tab TABS: Fill [C]haracter
FORMAT -> PARAGRAPH -> tab BORDERS: Line [A]rrangement, Spacing to [C]ontents, Shadow [S]tyle
FORMAT -> CHARACTER -> tab BACKGROUND: Background [C]olor
FORMAT -> CHARACTER -> tab INDENTS & SPACING: Line [S]pacing
FORMAT -> BULLETS & NUMBERING: Numbering [T]ype
FORMAT -> BULLETS & NUMBERING -> tab Position: Position and [S]pacing, Numbering [a]lignment
FORMAT -> PAGE -> tab ORGANIZER: Next [s]tyle
FORMAT -> PAGE -> tab PAGE: Paper [F]ormat, Layout [S]ettings
FORMAT -> PAGE -> tab BACKGROUND: Background [C]olor
FORMAT -> PAGE -> tab BORDERS: Line [A]rrangement, Spacing to [C]ontents, Shadow [S]tyle
FORMAT -> PAGE -> tab COLUMNS: Separator [L]ine
FORMAT -> PAGE -> tab FOOTNOTE: Footnote [A]rea, Separator [L]ine
FORMAT -> COLUMNS: Separator [L]ine
TABLE -> INSERT -> TABLE -> OPTIONS: Repeat [h]eading [r]ows on new pages, Heading [r]ows
TABLE: Heading [R]ows [R]epeat
TABLE -> CONVERT -> TABLE TO TEXT: Separate [T]ext at
TABLE -> SORT: Sort [C]riteria
TABLE -> NUMBER FORMAT: Format [C]ode
TABLE -> TABLE PROPERTIES -> tab COLUMNS: Column [W]idth 
TABLE -> TABLE PROPERTIES -> tab BORDERS: Lne [A]rrangement, Spacing to [C]ontents, Shadow [S]tyle
TABLE -> TABLE PROPERTIES -> tab BACKGROUND: Background [C]olor
TOOLS -> SPELLING AND GRAMMAR: Always [C]orrect
TOOLS -> FOOTNOTES/ENDNOTES: Continuation [N]otice
TOOLS -> EXTENSION MANAGER: Check for [U]pdates
TOOLS -> CUSTOMIZE -> tab KEYBOARD: Shortcut [K]eys 
TOOLS -> CUSTOMIZE -> tab TOOLSBARS: Save [i]n 
TOOLS -> CUSTOMIZE -> tab TOOLSBARS -> Arrow at the TOOLBAR button: Text [O]nly
TOOLS -> CUSTOMIZE -> tab EVENTS: Save [i]n 
TOOLS -> OPTIONS -> LIBREOFFICE -> GENERAL: Open/Save [D]ialogs, Document [S]tatus, YEAR ([T]wo [D]igits)
TOOLS -> OPTIONS -> LIBREOFFICE -> MEMORY: Graphics [C]ache, Cache for [I]nserted [O]bjects
TOOLS -> OPTIONS -> LIBREOFFICE -> VIEW: Graphics [O]utput 
TOOLS -> OPTIONS -> LIBREOFFICE -> PRINT: Reduce [P]rint [D]ata, Printer [W]arnings
TOOLS -> OPTIONS -> LIBREOFFICE -> FONTS: Replacement [T]able, Font [S]ettings for HTML, Basic and SQL [S]ources
TOOLS -> OPTIONS -> LIBREOFFICE -> SECURITY: Security [O]ptions and [W]arnings, Passwords for [W]eb [C]onnections, Macro [S]ecurity
TOOLS -> OPTIONS -> LIBREOFFICE -> APPEARANCE: Color [S]cheme, Custom [C]olors
TOOLS -> OPTIONS -> LIBREOFFICE -> ACCESSIBILITY: Miscellaneous [O]ptions, Options for [H]igh [C]ontrast [A]ppearance
TOOLS -> OPTIONS -> LIBREOFFICE -> ADVANCED: Java [O]ptions, Optional ([U]nstable) [O]ptions
TOOLS -> OPTIONS -> LOAD/SAVE -> GENERAL: Default [F]ile [F]ormat and ODF [S]ettings 
TOOLS -> OPTIONS -> LOAD/SAVE -> MICROSOFT OFFICE: Embedded [O]bjects
TOOLS -> OPTIONS -> LOAD/SAVE -> HTML COMPATIBILITY: Font [S]izes  
TOOLS -> OPTIONS -> LANGUAGE SETTINGS -> LANGUAGES: Default [L]anguages for [D]ocuments, Enhanced [L]anguage [S]upport
TOOLS -> OPTIONS -> LANGUAGE SETTINGS -> WRITING AIDS: Writing [A]ids 
TOOLS -> OPTIONS -> LANGUAGE SETTINGS: English [S]entence [C]hecking: Here the subtitles have a different format (not bold and with a line following).  Should this stay that way, because this is different to other menus in this Options dialog?
TOOLS -> OPTIONS -> LANGUAGE SETTINGS: Grammar [C]hecking (Russian): The same situation as above.
TOOLS -> OPTIONS -> LIBREOFFICE WRITER -> GENERAL: Update [L]inks when [L]oading
TOOLS -> OPTIONS -> LIBREOFFICE WRITER -> FORMATTING AIDS: Direct [Cu]rsor, Layout [A]ssistance, Cursor in [P]rotected [A]reas
TOOLS -> OPTIONS -> LIBREOFFICE WRITER -> BASIC FONTS (WESTERN): Basic [F]onts (Western)
TOOLS -> OPTIONS -> LIBREOFFICE WRITER -> TABLE: Keyboard [H]andling, Input in [T]ables
TOOLS -> OPTIONS -> LIBREOFFICE WRITER -> CHANGES: Text [D]isplay
TOOLS -> OPTIONS -> LIBREOFFICE WRITER -> COMPARISON: Compare [D]ocuments
TOOLS -> OPTIONS -> LIBREOFFICE WRITER -> COMPATIBILITY: Compatibility [O]ptions for ...
TOOLS -> OPTIONS -> LIBREOFFICE WRITER -> AUTOCAPTION: Add [C]aptions [A]utomatically when [I]nserting, Caption [O]rder
TOOLS -> OPTIONS -> LIBREOFFICE WRITER -> MAIL MERGE E-MAIL: User [I]nformation, Outgoing [S]erver (SMTP) Settings
TOOLS -> OPTIONS -> LIBREOFFICE WRITER/WEB -> VIEW -> GUIDE: Helplines [w]hile [m]oving
TOOLS -> OPTIONS -> LIBREOFFICE WRITER/WEB -> FORMATTING AIDS: Layout [A]ssistance
TOOLS -> OPTIONS -> LIBREOFFICE WRITER/WEB -> TABLE: Input in [T]able, Keyboard [H]andling
TOOLS -> OPTIONS -> LIBREOFFICE WRITER/WEB -> BACKGROUND: Background [C]olor
TOOLS -> OPTIONS -> LIBREOFFICE BASE -> DATABASES: Registered [D]atabases
TOOLS -> OPTIONS -> CHART -> DEFAULT COLORS: Chart [C]olors
Comment 1 Julien Nabet 2014-03-15 17:48:30 UTC
Stefan: I thought this tracker might interest you.
Comment 2 Adolfo Jayme 2014-03-16 07:19:50 UTC
Gnome style does not recommend title case.

But *sigh* if you're going to change all these strings yet again, please change them in all the PO files - please do not bother translators again with this.
Comment 3 A (Andy) 2014-03-16 09:07:50 UTC
@Adolfo: 
Thanks for your reply.
I personally like this title case for the main titles, but only for them.  For me it would be principally also be ok to use sentence case.  The only thing I would suggest is to use only one form but not to mix them like right now.  Does LO have any standards regarding this?  I think it would be important to define such standards.
Regarding your second issue I have unfortunately to admit that I am not that a computer specialist/only a LO user (even if it would not need that many programming skills) and I also would not change it before having a feedback to corresponding LO rules and standards.
Comment 4 Adolfo Jayme 2014-03-18 02:06:14 UTC
My comment was more directed to the one who fixes this issue, not towards you, Andy. The thing is, all translators had to retranslate half LibreOffice because of the transition to .ui-based dialogs, and if a bunch of strings change again just for consistent capitalization, that would be super annoying because capitalization is just an English language thing — it does not affect Spanish, for example. So, my my point was: whoever fixes this bug, make sure translations aren’t affected.
Comment 5 Stefan Knorr (astron) 2014-03-18 07:21:03 UTC
Gnome actually recommends header style capitalisation (i.e. title case):
  https://developer.gnome.org/hig-book/3.0/design-text-labels.html.en#layout-capitalization
(See under "Group box or frame labels")

=> Let's go with GNOME here, since we try to follow their guidelines elsewhere too


If you are going to do those string changes, please work out something with Andras, so you don't annoy translators (as Adolfo Jayme hinted at). (CC'ing him on the bug.)
Comment 6 Andras Timar 2014-03-20 15:30:10 UTC
> If you are going to do those string changes, please work out something with
> Andras, so you don't annoy translators (as Adolfo Jayme hinted at). (CC'ing
> him on the bug.)

I opened bug 76404 to track changes like this. Feel free to commit the change, and make a note with the commit hash in bug 76404.
Comment 7 Jorendc 2014-06-22 14:30:34 UTC
I did start fiddling on a (python) script for this change. If I succeed I'll work on bug 76404 too so no/few translations has to be redone.
Comment 8 Commit Notification 2014-06-23 09:02:16 UTC
Joren De Cuyper committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=171efcb7acf367e8db53694489815452d2a9894a

fdo#76203 - use consistent titlecase for UI title labels



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.